Package com.dropbox.core.v2.account
Class GetPhotoBuilder
java.lang.Object
com.dropbox.core.v2.DbxDownloadStyleBuilder<AccountPhotoGetResult>
com.dropbox.core.v2.account.GetPhotoBuilder
The request builder returned by
DbxUserAccountRequests.getPhotoBuilder(java.lang.String, java.lang.String, boolean, boolean).
Use this class to set optional request parameters and complete the request.
-
Method Summary
Modifier and TypeMethodDescriptionstart()Issues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body.Methods inherited from class com.dropbox.core.v2.DbxDownloadStyleBuilder
download, getHeaders, range, range
-
Method Details
-
start
public DbxDownloader<AccountPhotoGetResult> start() throws AccountPhotoGetErrorException, DbxExceptionDescription copied from class:DbxDownloadStyleBuilderIssues the download request using this builder's request parameters and returns aDbxDownloaderfor reading the response body. Callers should fully read the response body usingDbxDownloader.getInputStream()and close the downloader afterwards (seeDbxDownloader.close()). This will allow for proper resource deallocation and connection re-use.. SeeDbxDownloadStyleBuilder.download(java.io.OutputStream)convenience method for a simpler way to complete the request.- Specified by:
startin classDbxDownloadStyleBuilder<AccountPhotoGetResult>- Returns:
DbxDownloaderused to download data and read the response.- Throws:
DbxException- if an error occursing issuing the requestAccountPhotoGetErrorException
-